<?php

	class otherConn extends Conn{
		public function feedback(){
			$this->output();
		}
		public function feedback_submit(){
			$pdo = get_pdo();
			$title = isset($_POST['title']) ? $_POST['title'] : '无标题';
			$lianxi = isset($_POST['lianxi']) ? $_POST['lianxi'] : '';
			$content = isset($_POST['content']) ? $_POST['content'] : '无内容';
			
			$pdo -> sql('insert into '.DB_PRE."lyfk(fasongzhe,neirong,title)values('{$lianxi}','{$content}','{$title}')");
			alert_2(0,'反馈成功，我们会尽快为您处理！','games.php?h=other&c=feedback',3);
		}

		public function pifu(){
			setcookie('body_style_id',$_POST['k'],time()+999999);
		}
		public function game_out_clear(){
			setcookie('game_out','',time()-100);
			alert_2(0,'清空成功','games.php',3);
		}

		public function bczm(){
			include './sundry/cache/json/config.php';
			$arr = json_decode($json,true);
			header('Content-Type: application/octet-stream'); 
			header("Content-Disposition: attachment; filename='{$arr['4']}.url'"); 
			header('Content-Transfer-Encoding: binary'); 
			readfile('./sundry/static_file/tpl/url.url');
		}
	}